Package com.sap.ai.sdk.orchestration

# Class TemplateConfig

java.lang.Object
com.sap.ai.sdk.orchestration.TemplateConfig

Direct Known Subclasses:
  `OrchestrationTemplate`, `OrchestrationTemplateReference`

public abstract class TemplateConfig extends Object
Template configuration for the `OrchestrationModuleConfig`.

Since:
  1.4.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TemplateConfig.ReferenceBuilder`
  Intermediate object to build a template reference.
  `static interface`
  `TemplateConfig.ReferenceBuilder1`
  Intermediate object to build a template reference with the given scenario, name, and version.
  `static interface`
  `TemplateConfig.ReferenceBuilder2`
  Intermediate object to build a template reference with the given scenario, name, and version.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `static OrchestrationTemplate`
  `create()`
  Build a template.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `static TemplateConfig.ReferenceBuilder`
  `reference()`
  Build a template reference with tenant level scope.
  `protected abstract PromptTemplatingModuleConfigPrompt`
  `toLowLevel()`
  Create a low-level representation of the template.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateConfig

    public TemplateConfig()

- ## Method Details

  - ### toLowLevel

    @Nonnull protected abstract PromptTemplatingModuleConfigPrompt toLowLevel()
    Create a low-level representation of the template.
    Returns:
      The low-level representation of the template.

  - ### create

    @Nonnull public static OrchestrationTemplate create()
    Build a template.
    Returns:
      A new empty template.

  - ### reference

    @Nonnull public static TemplateConfig.ReferenceBuilder reference()
    Build a template reference with tenant level scope.
    Returns:
      An intermediate object to build the template reference.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`